VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "VB Port Test"
   ClientHeight    =   9090
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   9870
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   9090
   ScaleWidth      =   9870
   StartUpPosition =   3  'Windows Default
   Begin VB.ComboBox cboRate 
      Height          =   315
      Left            =   7440
      TabIndex        =   8
      Top             =   360
      Width           =   1815
   End
   Begin VB.CommandButton cmdStop 
      Caption         =   "&Stop"
      Enabled         =   0   'False
      Height          =   615
      Left            =   4200
      TabIndex        =   7
      Top             =   240
      Width           =   1335
   End
   Begin MSComctlLib.ListView lvResults 
      Height          =   5775
      Left            =   120
      TabIndex        =   6
      Top             =   1440
      Width           =   9615
      _ExtentX        =   16960
      _ExtentY        =   10186
      View            =   3
      LabelEdit       =   1
      LabelWrap       =   -1  'True
      HideSelection   =   -1  'True
      GridLines       =   -1  'True
      _Version        =   393217
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BorderStyle     =   1
      Appearance      =   1
      NumItems        =   6
      BeginProperty ColumnHeader(1) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         Key             =   "HEAD_PORT"
         Text            =   "Port #"
         Object.Width           =   2540
      EndProperty
      BeginProperty ColumnHeader(2) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         SubItemIndex    =   1
         Key             =   "HEAD_SENT"
         Text            =   "# Sent"
         Object.Width           =   2540
      EndProperty
      BeginProperty ColumnHeader(3) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         SubItemIndex    =   2
         Key             =   "HEAD_SEND_FAIL"
         Text            =   "# Sent, Failed"
         Object.Width           =   2540
      EndProperty
      BeginProperty ColumnHeader(4) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         SubItemIndex    =   3
         Key             =   "HEAD_RECEIVED"
         Text            =   "# Received"
         Object.Width           =   2540
      EndProperty
      BeginProperty ColumnHeader(5) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         SubItemIndex    =   4
         Key             =   "HEAD_RECEIVE_FAIL"
         Text            =   "# Received, Failed"
         Object.Width           =   2540
      EndProperty
      BeginProperty ColumnHeader(6) {BDD1F052-858B-11D1-B16A-00C0F0283628} 
         SubItemIndex    =   5
         Key             =   "HEAD_COMP_FAIL"
         Text            =   "# Compare, Failed"
         Object.Width           =   2540
      EndProperty
   End
   Begin VB.CommandButton cmdGo 
      Caption         =   "&Go"
      Height          =   615
      Left            =   2640
      TabIndex        =   4
      Top             =   240
      Width           =   1335
   End
   Begin VB.TextBox txtUpper 
      Height          =   285
      Left            =   1560
      TabIndex        =   1
      Text            =   "18"
      Top             =   600
      Width           =   735
   End
   Begin VB.TextBox txtLower 
      Height          =   285
      Left            =   1560
      TabIndex        =   0
      Text            =   "3"
      Top             =   240
      Width           =   735
   End
   Begin VB.Label lblRate 
      Caption         =   "Baud Rate:"
      Height          =   255
      Left            =   6480
      TabIndex        =   9
      Top             =   360
      Width           =   855
   End
   Begin VB.Label Label3 
      Caption         =   "Results:       (128 Bytes of data is being transfered)"
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   1080
      Width           =   3735
   End
   Begin VB.Label Label2 
      Caption         =   "Lower Comm Port:"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   240
      Width           =   1335
   End
   Begin VB.Label Label1 
      Caption         =   "Upper Comm Port:"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   600
      Width           =   1335
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdGo_Click()

    Dim Ret As Integer
    
    m_Stop = False
    cmdGo.Enabled = False
    cmdStop.Enabled = True
    
    ClearResultLines
    
    Ret = OpenPortRange(Int(txtLower.Text), Int(txtUpper.Text), cboRate.Text)
    CreateResultLines Int(txtLower.Text), Int(txtUpper.Text)
    
    Do While (Not m_Stop)
        DataTransferTest Int(txtLower.Text), Int(txtUpper.Text), cboRate.Text
        If (cboRate.Text > 38400) Then
            UpdateResults Int(txtLower.Text), Int(txtUpper.Text)
        End If
        DoEvents
    Loop
    
    Ret = ClosePortRange(Int(txtLower.Text), Int(txtUpper.Text))
    
End Sub

Private Sub cmdStop_Click()

    cmdStop.Enabled = False
    cmdGo.Enabled = True
    m_Stop = True
    
End Sub

Private Sub Form_Load()

    Dim i As Integer
    
    Me.Top = GetSetting("PortTest", "Settings", "Top", 0)
    Me.Left = GetSetting("PortTest", "Settings", "Left", 0)
    txtLower.Text = GetSetting("PortTest", "Settings", "LowerPort", 1)
    txtUpper.Text = GetSetting("PortTest", "Settings", "UpperPort", 1)
    
    For i = 1 To lvResults.ColumnHeaders.Count
        With lvResults
            .ColumnHeaders(i).Width = (.Width / .ColumnHeaders.Count) - 50
        End With
    Next i
    
    cboRate.AddItem 300
    cboRate.AddItem 600
    cboRate.AddItem 1200
    cboRate.AddItem 2400
    cboRate.AddItem 4800
    cboRate.AddItem 9600
    cboRate.AddItem 14400
    cboRate.AddItem 19200
    cboRate.AddItem 38400
    cboRate.AddItem 57600
    cboRate.AddItem 115200
    cboRate.AddItem 230400
    cboRate.AddItem 460800
    cboRate.AddItem 921600
    cboRate.AddItem 1382400
    cboRate.ListIndex = GetSetting("PortTest", "Settings", "Baud", 5)
    
End Sub

Private Sub Form_Unload(Cancel As Integer)
    SaveSetting "PortTest", "Settings", "Top", Me.Top
    SaveSetting "PortTest", "Settings", "Left", Me.Left
    SaveSetting "PortTest", "Settings", "Baud", cboRate.ListIndex
    SaveSetting "PortTest", "Settings", "LowerPort", txtLower.Text
    SaveSetting "PortTest", "Settings", "UpperPort", txtUpper.Text
End Sub
