Attribute VB_Name = "modMain"
Public Type Port
    hCom As Long
    PortNum As Integer
    NumSent As Integer
    NumSentFail As Integer
    NumReceived As Integer
    NumReceivedFail As Integer
    NumCompFailed As Integer
End Type

Public Type SECURITY_ATTRIBUTES
        nLength As Long
        lpSecurityDescriptor As Long
        bInheritHandle As Long
End Type

Public Const GENERIC_READ = &H80000000
Public Const GENERIC_WRITE = &H40000000
Public Const OPEN_EXISTING = 3
Public Const INVALID_HANDLE_VALUE = -1

' if security attributes are desired,
'  use:
'       "lpSecurityAttributes As SECURITY_ATTRIBUTES, _"
'  instead of:
'       "lpSecurityAttributes As Any, _")
'  in declare below
Public Declare Function CreateFile Lib "kernel32" Alias "CreateFileA" _
( _
     ByVal lpFileName As String, _
     ByVal dwDesiredAccess As Long, _
     ByVal dwShareMode As Long, _
     lpSecurityAttributes As Any, _
     ByVal dwCreationDisposition As Long, _
     ByVal dwFlagsAndAttributes As Long, _
     ByVal hTemplateFile As Long _
) As Long

Public Declare Function CloseHandle Lib "kernel32" (ByVal hObject As Long) As Long

Public Declare Function ReadFile Lib "kernel32" (ByVal hFile As Long, lpBuffer As Any, ByVal nNumberOfBytesToRead As Long, lpNumberOfBytesRead As Long, lpOverlapped As Any) As Long
Public Declare Function WriteFile Lib "kernel32" (ByVal hFile As Long, lpBuffer As Any, ByVal nNumberOfBytesToWrite As Long, lpNumberOfBytesWritten As Long, lpOverlapped As Any) As Long

Public Declare Function GetLastError Lib "kernel32" () As Long

Public Const MAXDWORD = &HFFFF
Public Declare Function SetCommTimeouts Lib "kernel32" (ByVal hFile As Long, lpCommTimeouts As COMMTIMEOUTS) As Long
Public Declare Function GetCommTimeouts Lib "kernel32" (ByVal hFile As Long, lpCommTimeouts As COMMTIMEOUTS) As Long
Public Type COMMTIMEOUTS
        ReadIntervalTimeout As Long
        ReadTotalTimeoutMultiplier As Long
        ReadTotalTimeoutConstant As Long
        WriteTotalTimeoutMultiplier As Long
        WriteTotalTimeoutConstant As Long
End Type


Public Sub DebugPrintInBinary(ByVal BitField As Long)
    
    Dim Temp As String
    Dim BitCount As Integer
    Dim NumDigits As Integer
    
    NumDigits = 16
    Temp = ""
    BitCount = 0
    Do While (BitField <> 0)
        If (BitCount Mod 4 = 0) Then
            If (BitCount <> 0) Then
                Temp = Temp & "."
            End If
        End If
        Temp = Temp & BitField Mod 2
        BitField = BitField \ 2
        BitCount = BitCount + 1
    Loop
    Do While (BitCount < NumDigits)
        If (BitCount Mod 4 = 0) Then
            Temp = Temp & "."
        End If
        Temp = Temp & "0"
        BitCount = BitCount + 1
    Loop
    Temp = StrReverse(Temp)
    Debug.Print Temp
End Sub
